Name:      python-bleson
Version:   0.1.8
Release:   %autorelease
Summary:   Python Bluetooth LE Module
License:   MIT
URL:       https://github.com/TheCellule/python-bleson
Source0:   %{url}/archive/%{version}.tar.gz#/%{name}-RELEASE_%{version}.tar.gz

BuildArch: noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Python Bluetooth LE Module

%package -n python3-bleson
Summary:        Python Bluetooth LE Module
%{?python_provide:%python_provide python3-bleson}

%description -n python3-bleson
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser
(inc. Beacon), Peripheral and Central.

Other highlights:

The same Bleson API is used across all platforms.
Only standard OS provided Bluetooth LE API's are used.
Bleson does not impose a 'mainloop' on user scripts on any platform.


%prep
%autosetup -p1 -n %{name}-RELEASE_%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bleson
rm -rf %{buildroot}/usr/lib/python3.13/site-packages/tests/

%files -n python3-bleson -f %{pyproject_files}
%license LICENSE.txt

%changelog
%autochangelog
